]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
bos #41189 - support embedded Python 3.9
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Fri, 12 Apr 2024 10:57:38 +0000 (12:57 +0200)
committerNabil Ghodbane <nabil.ghodbane@cea.fr>
Fri, 12 Apr 2024 10:57:38 +0000 (12:57 +0200)
43 files changed:
applications/SALOME-master.pyconf
products/Pygments.pyconf
products/Sphinx.pyconf
products/charset_normalizer.pyconf [new file with mode: 0644]
products/compil_scripts/matplotlib.sh
products/compil_scripts/mpi4py-3.0.3.sh [new file with mode: 0755]
products/compil_scripts/mpi4py-3.1.0.sh [new file with mode: 0755]
products/compil_scripts/openturns-1.21.sh
products/compil_scripts/sip-5.5.0.sh
products/contourpy.pyconf [new file with mode: 0644]
products/env_scripts/charset_normalizer.py [new file with mode: 0644]
products/env_scripts/contourpy.py [new file with mode: 0644]
products/env_scripts/fonttools.py [new file with mode: 0644]
products/env_scripts/importlib_metadata.py [new file with mode: 0644]
products/env_scripts/importlib_resources.py [new file with mode: 0644]
products/env_scripts/sphinxcontrib_jquery.py [new file with mode: 0644]
products/env_scripts/tabulate.py [new file with mode: 0644]
products/env_scripts/tomli.py [new file with mode: 0644]
products/env_scripts/zipp.py [new file with mode: 0644]
products/fonttools.pyconf [new file with mode: 0644]
products/gdal.pyconf
products/importlib_metadata.pyconf [new file with mode: 0644]
products/importlib_resources.pyconf [new file with mode: 0644]
products/matplotlib.pyconf
products/mpi4py.pyconf
products/numpydoc.pyconf
products/opencv.pyconf
products/patches/gdal.0003-ignore_use2to3.patch [new file with mode: 0644]
products/patches/mpi4py_3_1_0_setup_py.patch [new file with mode: 0644]
products/requests.pyconf
products/sip.pyconf
products/sphinx_rtd_theme.pyconf
products/sphinxcontrib_applehelp.pyconf
products/sphinxcontrib_devhelp.pyconf
products/sphinxcontrib_htmlhelp.pyconf
products/sphinxcontrib_jquery.pyconf [new file with mode: 0644]
products/sphinxcontrib_jsmath.pyconf
products/sphinxcontrib_qthelp.pyconf
products/sphinxcontrib_serializinghtml.pyconf
products/statsmodels.pyconf
products/tabulate.pyconf [new file with mode: 0644]
products/tomli.pyconf [new file with mode: 0644]
products/zipp.pyconf [new file with mode: 0644]

index 731a69f4b8e842d4beb795b79fdcee08e33a97ad..141b938de3bd08c20ea1d7ab3987514e4da63e0a 100644 (file)
@@ -36,7 +36,7 @@ APPLICATION :
     {
         # PREREQUISITES :
         alabaster : '0.7.6'
-        Babel : '2.7.0'
+        Babel : '2.14.0'
         boost : '1.71.0'
         CAS : {tag : 'V7_5_3p5', section: 'version_CR753_SALOME_PATCH', base: 'no'}
         catalyst: '2.0'
@@ -44,18 +44,21 @@ APPLICATION :
         certifi : '2018.8.24'
         cgns : '4.2.0'
         chardet : '3.0.4'
+        charset_normalizer : '3.3.2'
         click : '6.7'
         cmake : '3.25.2'
         cminpack: '1.3.6'
+        contourpy : '1.2.0'
         cppunit : '1.13.2'
         cycler : '0.10.0'
-        Cython : '0.29.12'
-        dateutil : '2.6.1'
-        docutils : '0.12'
+        Cython : '0.29.37'
+        dateutil : '2.7.3'
+        docutils : '0.20.1'
         doxygen : '1.8.14'
         eigen : '3.3.4'
         embree : '3.12.2'
         FMILibrary : '2.0.3'
+        fonttools : '4.48.1'
         freeimage : '3.16.0'
         freetype : '2.9.1'
         gcc  :  '8.5.0'
@@ -67,19 +70,21 @@ APPLICATION :
         graphviz : '2.38.0'
         hdf5 : '1.10.3'
         idna : '2.7'
-        imagesize : '1.0.0'
+        imagesize : '1.4.1'
+        importlib_metadata : '7.0.1'
+        importlib_resources: '6.1.1'
         ispc : '1.15.0'
-        Jinja2 : '2.7.3'
-        kiwisolver : '1.0.1'
+        Jinja2 : '3.1.3'
+        kiwisolver : '1.3.1'
         lapack : '3.8.0'
-        libxml2 : '2.9.1'
+        libxml2 : '2.9.12'
         llvm : '8.0.1-clang'
-        markupsafe : '0.23'
-        matplotlib : '3.3.4'
+        markupsafe : '2.1.5'
+        matplotlib : '3.8.2'
         medfile : '4.1.1'
         mesa : '19.0.8'
         MeshGems : '2.15-1'
-        mpi4py: '3.0.3'
+        mpi4py: {tag: '3.1.0', base: 'no', section : 'version_3_1_0_no_pip'} 
         metis : '5.1.0'
         netgen : '5.3.1_with_CAS_7.2'
         # comment out line above and uncomment the line below to use Netgen 6.
@@ -87,8 +92,8 @@ APPLICATION :
         netcdf : '4.6.2'
         nlopt : '2.5.0'
         nose: '1.3.7'
-        numpy : '1.16.4'
-        numpydoc : '0.9.0'
+        numpy : '1.21.1'
+        numpydoc : '1.6.0'
         omniORB : '4.2.5'
         omniORBpy : '4.2.5'
         opencv : '3.2.0'
@@ -96,48 +101,58 @@ APPLICATION :
         openturns: '1.21'
         openVKL: '0.11.0'
         ospray : '2.4.0'
-        packaging : '17.1'
+        packaging : '23.2'
         packagespy : '74152cd'
-        pandas : '0.25.2'
-        patsy : '0.5.2'
+        pandas : '1.1.5'
+        patsy : '0.5.4'
         ParaView : {tag:'5.11.0', base: 'no',  section: 'version_5_11_0_MPI', hpc: 'yes'}
         PERSALYS: 'v14.1'
         petsc : {tag : '3.16.0', base: 'no', section: 'version_3_16_0', hpc: 'yes'}
         Pillow : '8.4.0'
         planegcs : '0.18-3cb6890'
-        psutil : '5.7.2'
+        psutil : '5.9.8'
         PyFMI : {tag: '2.6',   base: 'no', section: 'version_2_6_no_pip'}
-        Pygments : '2.0.2'
-        pyparsing : '2.0.3'
+        Pygments : '2.17.2'
+        pyparsing : '3.1.1'
         PyQt : '5.15.3'
         pyreadline : '2.0'
-        Python : '3.6.5'
+        Python : '3.9.14'
         pytz : '2017.2'
         qt : '5.12.10'
         qwt : '6.1.2'
-        requests : '2.19.1'
+        requests : '2.31.0'
         rkCommon : '1.5.1'
         root: '6.22.02'
         salome_system : 'native'
-        scipy : '1.4.1'
+        scipy : '1.6.2'
         scotch : {tag: '6.1.2', section: 'version_6_1_2_MPI', hpc: 'yes', base: 'no'}
-        setuptools : '38.4.0'
+        setuptools : '69.0.3'
         sip : '5.5.0'
         six : '1.10.0'
-        snowballstemmer : '1.2.1'
-        Sphinx : '1.7.6'
-        sphinxcontrib_websupport : '1.1.0'
-        sphinx_rtd_theme : '0.4.3'
-        sphinxintl: '0.9.10'
-        statsmodels: '0.8.0'
+        snowballstemmer : '2.2.0'
+        Sphinx : '7.2.6'
+        sphinxcontrib_applehelp : '1.0.8'
+        sphinxcontrib_devhelp : '1.0.6'
+        sphinxcontrib_jsmath : '1.0.1'
+        sphinxcontrib_jquery : '4.1'
+        sphinxcontrib_qthelp : '1.0.7'
+        sphinxcontrib_htmlhelp : '2.0.5'
+        sphinxcontrib_serializinghtml : '1.1.10'
+        sphinxcontrib_websupport : '1.2.7'
+        sphinx_rtd_theme : '2.0.0'
+        sphinxintl: '2.1.0'
+        statsmodels: '0.14.1'
         swig : '4.0.2'
+        tabulate : '0.9.0'
         tbb : '2019_U8'
         tcl : '8.6.0'
         tk : '8.6.0'
         toml: '0.10.2'
+        tomli : '2.0.1'
         TTK : 'f8dafde2d7'
         urllib3 : '1.23'
         zeromq: '4.3.1'
+        zipp : '3.17.0'
         URANIE : '4.7.0'
 
         # SALOME MODULES :
@@ -245,7 +260,6 @@ __overwrite__ :
     {
         __condition__ : "VARS.dist in ['UB18.04']"
         'APPLICATION.rm_products' : ['gcc', 'gmp', 'mpc', 'mpfr']
-        'APPLICATION.products.pandas' : '0.25.3'
     }
     {
         __condition__ : "VARS.dist in ['UB20.04']"
index f3a89176a05f996f26d5eb24e07fbdc8700aa4b2..4fd2a0f7f7a24400aa0d5829460f97f615faafdd 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  "pip_install" + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "pygments"}
     system_info : 
     {
         rpm : ["python3-pygments"]
index b6c9bbff756120260c014a9a1368e111cef912c7..d91c70ea87df9298adfa03c695d44e7b1c004bcf 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :   'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinx"}
     system_info : 
     {
         rpm : ["python3-sphinx"]
@@ -16,6 +17,10 @@ default :
        env_script : $name + ".py"
     }
     depend : ["Python", "setuptools", "six", "Pygments", "Jinja2", "docutils", "sphinxcontrib_websupport", "packaging", "requests", "imagesize", "alabaster", "Babel", "snowballstemmer"]
+    opt_depend : ["importlib_metadata", "sphinxcontrib_applehelp", "sphinxcontrib_devhelp", 
+                  "sphinxcontrib_htmlhelp", "sphinxcontrib_jsmath", "sphinxcontrib_qthelp",
+                  "sphinxcontrib_serializinghtml"
+             ]
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
     install_dir : 'base'
diff --git a/products/charset_normalizer.pyconf b/products/charset_normalizer.pyconf
new file mode 100644 (file)
index 0000000..207154e
--- /dev/null
@@ -0,0 +1,21 @@
+default :
+{
+    name : "charset-normalizer"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    archive_info : {archive_prefix : "charset_normalizer"}
+    environ :
+    {
+       env_script : "charset_normalizer.py"
+    }
+    depend : ['Python','setuptools']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "charset_normalizer"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "charset_normalizer"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
index 27caae6cfb418a342d27b8fb9bf0ed773422c371..0fc299dacb9fc62031d2c85051418826581c1645 100755 (executable)
@@ -7,17 +7,17 @@ echo "##########################################################################
 
 
 echo  "*** build in SOURCE directory"
-cd $SOURCE_DIR
+cd $BUILD_DIR
+cp -R $SOURCE_DIR/* .
 
 # we don't install in python directory -> modify environment as described in INSTALL file
-mkdir -p $PRODUCT_INSTALL/lib/python${PYTHON_VERSION}/site-packages
 export PATH=$(pwd)/bin:$PATH
 export PYTHONPATH=$(pwd):$PYTHONPATH
 export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages:$PYTHONPATH
 
 echo
 echo "*** build and install with $PYTHONBIN"
-$PYTHONBIN setup.py install --prefix=$PRODUCT_INSTALL
+$PYTHONBIN -m pip install --cache-dir=$BUILD_DIR/cache/pip . --no-deps --prefix=$PRODUCT_INSTALL
 if [ $? -ne 0 ]
 then
     echo "ERROR on build/install"
diff --git a/products/compil_scripts/mpi4py-3.0.3.sh b/products/compil_scripts/mpi4py-3.0.3.sh
new file mode 100755 (executable)
index 0000000..0f02d9b
--- /dev/null
@@ -0,0 +1,26 @@
+
+#!/bin/bash
+
+echo "##########################################################################"
+echo "mpi4py" $VERSION
+echo "##########################################################################"
+
+echo  "*** build in SOURCE directory"
+cd $BUILD_DIR
+cp -R $SOURCE_DIR/* .
+
+export PATH=$(pwd)/bin:$PATH
+export PYTHONPATH=$(pwd):$PYTHONPATH
+export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages:$PYTHONPATH
+
+echo
+echo "*** build and install with $PYTHONBIN"
+#$PYTHONBIN setup.py install --prefix=$PRODUCT_INSTALL
+$PYTHONBIN -m pip install --ignore-installed --cache-dir=$BUILD_DIR/cache/pip . --no-deps --prefix=$PRODUCT_INSTALL
+if [ $? -ne 0 ]; then
+    echo "ERROR on build/install"
+    exit 3
+fi
+
+echo
+echo "########## END"
diff --git a/products/compil_scripts/mpi4py-3.1.0.sh b/products/compil_scripts/mpi4py-3.1.0.sh
new file mode 100755 (executable)
index 0000000..0f02d9b
--- /dev/null
@@ -0,0 +1,26 @@
+
+#!/bin/bash
+
+echo "##########################################################################"
+echo "mpi4py" $VERSION
+echo "##########################################################################"
+
+echo  "*** build in SOURCE directory"
+cd $BUILD_DIR
+cp -R $SOURCE_DIR/* .
+
+export PATH=$(pwd)/bin:$PATH
+export PYTHONPATH=$(pwd):$PYTHONPATH
+export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages:$PYTHONPATH
+
+echo
+echo "*** build and install with $PYTHONBIN"
+#$PYTHONBIN setup.py install --prefix=$PRODUCT_INSTALL
+$PYTHONBIN -m pip install --ignore-installed --cache-dir=$BUILD_DIR/cache/pip . --no-deps --prefix=$PRODUCT_INSTALL
+if [ $? -ne 0 ]; then
+    echo "ERROR on build/install"
+    exit 3
+fi
+
+echo
+echo "########## END"
index 2ceb922b0a9c70a63fdd70a90e6547e7422fb66f..dbbd14ced1272e69a2c0aa10ed4ba5987571291f 100755 (executable)
@@ -485,8 +485,10 @@ if [[ -d "$SOURCE_DIR/otfftw-0.13" ]]; then
         fi
     elif [ -f ${PYTHON_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/setuptools/site-patch.py ]; then
         cp ${PYTHON_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/setuptools/site-patch.py ${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages/site.py
+    elif [ -f ${PYTHON_ROOT_DIR}/lib/python${PYTHON_VERSION}/site.py ]; then
+        cp ${PYTHON_ROOT_DIR}/lib/python${PYTHON_VERSION}/site.py ${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages/site.py
     else
-        echo "ERROR: could not find site-patch.py"
+        echo "ERROR: could not find site-patch.py nor site.py"
         exit 7
     fi
 fi
index 584d90dc1817eaea2f5ead9307c94c5d5b7a78ad..3460a80661519fe461531a99fecccdd0db9285e4 100755 (executable)
@@ -12,7 +12,11 @@ cd $BUILD_DIR
 cp -r $SOURCE_DIR/sip-5.5.0 $BUILD_DIR/sip-5.5.0
 cd $BUILD_DIR/sip-5.5.0
 
-USE_SETUP=true
+USE_SETUP=false
+if [[ "$PYTHON_VERSION" == "3.6" ]]; then
+    USE_SETUP=true
+fi
+
 case $LINUX_DISTRIBUTION in
     CO9)
         USE_SETUP=false
diff --git a/products/contourpy.pyconf b/products/contourpy.pyconf
new file mode 100644 (file)
index 0000000..62e9bd2
--- /dev/null
@@ -0,0 +1,20 @@
+default :
+{
+    name : "contourpy"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : "contourpy.py"
+    }
+    depend : ['Python','setuptools','numpy']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "contourpy"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "contourpy"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
diff --git a/products/env_scripts/charset_normalizer.py b/products/env_scripts/charset_normalizer.py
new file mode 100644 (file)
index 0000000..d98ea02
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("CHARSET_NORMALIZER_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/contourpy.py b/products/env_scripts/contourpy.py
new file mode 100644 (file)
index 0000000..1fcaa44
--- /dev/null
@@ -0,0 +1,9 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+   pass
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/fonttools.py b/products/env_scripts/fonttools.py
new file mode 100644 (file)
index 0000000..47ba7fc
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("FONTTOOLS_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/importlib_metadata.py b/products/env_scripts/importlib_metadata.py
new file mode 100644 (file)
index 0000000..da816ad
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("IMPORTLIB_METADATA_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/importlib_resources.py b/products/env_scripts/importlib_resources.py
new file mode 100644 (file)
index 0000000..c608910
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("IMPORTLIB_RESOURCES_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/sphinxcontrib_jquery.py b/products/env_scripts/sphinxcontrib_jquery.py
new file mode 100644 (file)
index 0000000..403a6d4
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("SPHINXCONTRIB_JQUERY_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/tabulate.py b/products/env_scripts/tabulate.py
new file mode 100644 (file)
index 0000000..3d56844
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("TABULATE_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/tomli.py b/products/env_scripts/tomli.py
new file mode 100644 (file)
index 0000000..2b90a1f
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("TOMLI_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/env_scripts/zipp.py b/products/env_scripts/zipp.py
new file mode 100644 (file)
index 0000000..e14509a
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+
+def set_env(env, prereq_dir, version):
+    env.set("ZIPP_ROOT_DIR",prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/fonttools.pyconf b/products/fonttools.pyconf
new file mode 100644 (file)
index 0000000..e120405
--- /dev/null
@@ -0,0 +1,20 @@
+default :
+{
+    name : "fonttools"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : "fonttools.py"
+    }
+    depend : ['Python','setuptools']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "fonttools"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "fonttools"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
index bd324f5e386079efc3d3927e463eb82aa253d7c3..0a47291cbd9a117ed5c912313352a3d552c6b18e 100644 (file)
@@ -40,6 +40,7 @@ version_2_4_4:
 version_2_4_0:
 {
     compil_script :  'gdal-2.4.0' + $VARS.scriptExtension
+    patches : ["gdal.0003-ignore_use2to3.patch"]
 }
 
 version_2_4_0_FD34:
diff --git a/products/importlib_metadata.pyconf b/products/importlib_metadata.pyconf
new file mode 100644 (file)
index 0000000..9508595
--- /dev/null
@@ -0,0 +1,21 @@
+default :
+{
+    name : "importlib-metadata"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    archive_info : {archive_prefix : "importlib_metadata"}
+    environ :
+    {
+       env_script : "importlib_metadata.py"
+    }
+    depend : ['Python','setuptools','zipp']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "importlib_metadata"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "importlib_metadata"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
diff --git a/products/importlib_resources.pyconf b/products/importlib_resources.pyconf
new file mode 100644 (file)
index 0000000..9a92fa6
--- /dev/null
@@ -0,0 +1,21 @@
+default :
+{
+    name : "importlib-resources"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    archive_info : {archive_prefix : "importlib_resources"}
+    environ :
+    {
+       env_script : "importlib_resources.py"
+    }
+    depend : ['Python','setuptools','zipp']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "importlib_resources"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "importlib_resources"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
index 279b5b31d4635830572b6e26435cce8a7bfffede..16003d0b9d0a672c64580f6dbe12eb88eea57e23 100755 (executable)
@@ -17,13 +17,15 @@ default :
     }
     # OP distribute is not useful anymore
     depend : ['Python', 'setuptools', 'PyQt',  'numpy', 'freetype', 'six', 'pytz', 'pyparsing', 'dateutil', 'cycler']
-    opt_depend : ['kiwisolver', 'Pillow']
+    opt_depend : ['contourpy', 'fonttools', 'importlib_resources', 
+                  'kiwisolver', 'packaging', 'Pillow'
+                 ]
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
     install_dir : 'base'
     properties:
     {
-      pip : "no"  # whl prerequisites do not correspond! backports.functools_lru_cache-1.5  and subprocess32-3.5.4 are missing
+      pip : "yes"
       incremental : "yes"
     }
 }
@@ -41,6 +43,16 @@ default_win :
    }
 }
 
+version_3_3_4 :
+{
+    compil_script : "matplotlib-3.3.4.sh"
+    properties:
+    {
+      incremental : "yes"
+      pip : "no"
+    }
+}
+
 version_2_2_2 :
 {
     properties:
index 4997605295317f6336e1595b10992a0a7b07dcf7..61161f50256d9bdcedac7af2c8bb2a7702de1b7d 100644 (file)
@@ -25,3 +25,24 @@ default :
       pip : "yes"
     }
 }
+
+version_3_1_0_no_pip :
+{
+    compil_script : "mpi4py-3.1.0.sh"
+    patches: ["mpi4py_3_1_0_setup_py.patch"]
+    properties:
+    {
+      incremental : "yes"
+      pip : "no"
+    }
+}
+
+version_3_0_3_no_pip :
+{
+    compil_script : "mpi4py-3.0.3.sh"
+    properties:
+    {
+      incremental : "yes"
+      pip : "no"
+    }
+}
index 430a24ec39c855f863cd6641a620c14eb19fbbab..7fb9022b9074a0dfe2bdebca5ebe8061dc220cd9 100644 (file)
@@ -20,6 +20,7 @@ default :
         env_script : $name + ".py"
     }
     depend : ['Python', 'six', 'setuptools', 'numpy']
+    opt_depend : ['Jinja2', 'Sphinx', 'tabulate', 'tomli']
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
     install_dir : 'base'
index 6e4bdbbd6aef1c5cf69595fbaea6a406b37c3905..7182981a12fa7a59768befefe09c8fba46693dca 100644 (file)
@@ -38,7 +38,10 @@ default_win:
 
 version_3_2_0 :
 {
-    patches : ["opencv-3.2.0-ccache.patch", "SPNS-29988-opencv-3.2.0-persistence.patch", "opencv-3.2.0-python2-cmake.patch"]
+    patches : ["opencv-3.2.0-ccache.patch", 
+               "SPNS-29988-opencv-3.2.0-persistence.patch", 
+               "opencv-3.2.0-python2-cmake.patch",
+               "SPNS-29988-opencv-3.2.0-cv2.patch"]
 }
 
 version_3_2_0_FD38 :
diff --git a/products/patches/gdal.0003-ignore_use2to3.patch b/products/patches/gdal.0003-ignore_use2to3.patch
new file mode 100644 (file)
index 0000000..6d8cb74
--- /dev/null
@@ -0,0 +1,19 @@
+diff -Naur gdal/gdal/swig/python/setup.py gdal_dev/gdal/swig/python/setup.py
+--- gdal/gdal/swig/python/setup.py     2022-01-10 20:49:08.000000000 +0000
++++ gdal_dev/gdal/swig/python/setup.py 2024-03-13 08:29:24.760605976 +0000
+@@ -128,11 +128,10 @@
+         all_fixers = set(get_fixers_from_package('lib2to3.fixes'))
+         exclude_fixers = sorted(all_fixers.difference(fixer_names))
+-
+-        extra['use_2to3'] = True
+-        extra['use_2to3_fixers'] = []
+-        extra['use_2to3_exclude_fixers'] = exclude_fixers
+-
++        if sys.version_info < (3, 9):
++            extra['use_2to3'] = True
++            extra['use_2to3_fixers'] = []
++            extra['use_2to3_exclude_fixers'] = exclude_fixers
+ class gdal_config_error(Exception):
+     pass
diff --git a/products/patches/mpi4py_3_1_0_setup_py.patch b/products/patches/mpi4py_3_1_0_setup_py.patch
new file mode 100644 (file)
index 0000000..0cbb097
--- /dev/null
@@ -0,0 +1,12 @@
+diff -Naur -x '*.o' -x '*.so' -x '*.git' ./mpi4py/setup.py ./mpi4py_dev/setup.py
+--- mpi4py/setup.py    2021-08-12 09:23:36.000000000 +0200
++++ mpi4py_dev/setup.py        2024-02-12 11:01:39.249765537 +0100
+@@ -470,7 +470,7 @@
+         setup_args['zip_safe'] = False
+         setup_args['setup_requires'] = []
+         setup_args['python_requires'] = """
+-        >=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*'
++        >=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*
+         """.strip()
+     if setuptools and pyver < (3, 0):
+         setup_args['setup_requires'] += ['3to2']
index 3ef8074ba170d6280a0c4d492e6f07dff02d817b..9fb7a7b298f5ce0da8c0baef43f45f99fc0416b4 100755 (executable)
@@ -16,6 +16,7 @@ default :
        env_script : $name + ".py"
     }
     depend : ['Python', 'setuptools', 'certifi', 'urllib3', 'idna', 'chardet']
+    opt_depend : ['charset_normalizer']
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
     install_dir : 'base'
index d5dfda957229931b99c59e59231dd1390c83bd5a..4da50ed62d636a4bada22a3eb54c715f074bfc20 100644 (file)
@@ -32,7 +32,7 @@ version_6_6_2 :
     archive_info : {archive_name : "sip-6.6.2-PyQt5_sip-12.11.0.tar.gz"}
     patches : []
     depend : ['Python', 'qt']
-    opt_depend: ['toml']
+    opt_depend: ['toml', 'packaging']
 }
 
 version_5_5_0 :
@@ -41,7 +41,7 @@ version_5_5_0 :
     archive_info : {archive_name : "sip-5.5.0-PyQt5_sip-12.8.1.tar.gz"}
     patches : ['sip-5.5.0-sipSetBool.patch']
     depend : ['Python', 'qt']
-    opt_depend: ['toml']
+    opt_depend: ['toml', 'packaging']
 }
 
 version_4_19_24 :
index f46ec834a461cb53561bd715fc781f1b63e51ab6..c80674ab5b1f9ee9714b13d62fb1a8c9b658f81d 100644 (file)
@@ -16,6 +16,7 @@ default :
        env_script : $name + ".py"
     }
     depend : ['Python', 'Sphinx']
+    opt_depend : ['docutils', 'sphinxcontrib_jquery']
     patches : []
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
index f42048be5677f411f4ee3d28d62d1540d5defe32..07fa19e02cc6c80cad591dc8dfce9ab443cb5ea9 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_applehelp"}
     environ :
     {
        env_script : "sphinxcontrib_applehelp.py"
index b7d6d87abecbc136f3ae79cf98b79dc713436ef3..04728edf2c8aa781ea51f35b57076fc20f0d9474 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_devhelp"}
     environ :
     {
        env_script : "sphinxcontrib_devhelp.py"
index fe20a34b2ac5ca68ab21371c18c34ff085d98674..cf70c1ee94b66d413f0023ad9968fe06ef70b855 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_htmlhelp"}
     environ :
     {
        env_script : "sphinxcontrib_htmlhelp.py"
diff --git a/products/sphinxcontrib_jquery.pyconf b/products/sphinxcontrib_jquery.pyconf
new file mode 100644 (file)
index 0000000..561fd53
--- /dev/null
@@ -0,0 +1,21 @@
+default :
+{
+    name : "sphinxcontrib-jquery"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_jquery"}
+    environ :
+    {
+       env_script : "sphinxcontrib_jquery.py"
+    }
+    depend : ['Python','setuptools','Sphinx']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "sphinxcontrib_jquery"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "sphinxcontrib_jquery"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
index caac1c98f1fff18c1b84eb88cff4603bfa862d3f..3e921314afb61aea1b375eea765827de3d7be760 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_jsmath"}
     environ :
     {
        env_script : "sphinxcontrib_jsmath.py"
index c782b103916bc93ac8146eb7d14fbd770faddf21..5a1d27afa61e2c206eb629bd57474a406b467f11 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_qthelp"}
     environ :
     {
        env_script : "sphinxcontrib_qthelp.py"
index eecbb995c9a21c33c1097b600bd2959bee91b52f..31e051726f8ab62d03fd577b6e7dc200fc6e0cf7 100644 (file)
@@ -4,6 +4,7 @@ default :
     build_source : "script"
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
+    archive_info : {archive_prefix : "sphinxcontrib_serializinghtml"}
     environ :
     {
        env_script : "sphinxcontrib_serializinghtml.py"
index 90685565d6b5bf262af3bee2a6519fbda4fb3ba4..b022a545e1f1d5a44ee6fb67b5a3f0ebb7b78aa7 100644 (file)
@@ -15,7 +15,7 @@ default :
     {
 
     }
-    depend : ["Python", "setuptools","PyFMI", "numpy", "scipy", "matplotlib"]
+    depend : ["Python", "setuptools","PyFMI", "numpy", "scipy", "matplotlib", "packaging"]
     opt_depend : ['pandas', 'patsy', 'Pillow']
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
diff --git a/products/tabulate.pyconf b/products/tabulate.pyconf
new file mode 100644 (file)
index 0000000..ee68be0
--- /dev/null
@@ -0,0 +1,20 @@
+default :
+{
+    name : "tabulate"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : "tabulate.py"
+    }
+    depend : ['Python','setuptools']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "tabulate"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "tabulate"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
diff --git a/products/tomli.pyconf b/products/tomli.pyconf
new file mode 100644 (file)
index 0000000..f51c02b
--- /dev/null
@@ -0,0 +1,20 @@
+default :
+{
+    name : "tomli"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : "tomli.py"
+    }
+    depend : ['Python','setuptools']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "tomli"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "tomli"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}
diff --git a/products/zipp.pyconf b/products/zipp.pyconf
new file mode 100644 (file)
index 0000000..bb4db50
--- /dev/null
@@ -0,0 +1,20 @@
+default :
+{
+    name : "zipp"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : "zipp.py"
+    }
+    depend : ['Python','setuptools']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "zipp"
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "zipp"
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "yes"
+    }
+}